org.eclipse.draw2d

## Interface TreeSearch

All Known Implementing Classes:
  ExclusionSearch, Figure.IdentitySearch

    public interface TreeSearch

A helper used in depth-first searches of a figure subgraph.

Since:
  2.1

### Method Summary

Methods
`boolean` `accept(IFigure figure)` Returns `true` if the given figure is accepted by the search.
`boolean` `prune(IFigure figure)` Returns `true` if the figure and all of its contained figures should be pruned from the search.

### Method Detail

#### accept

    boolean accept(IFigure figure)

Returns `true` if the given figure is accepted by the search.

Parameters:
  `figure` - the current figure in the traversal
Returns:
  `true` if the figure is accepted

#### prune

    boolean prune(IFigure figure)

Returns `true` if the figure and all of its contained figures should be pruned from the search.

Parameters:
  `figure` - the current figure in the traversal
Returns:
  `true` if the subgraph should be pruned